Page MenuHomePhabricator

Cleanup artifacts of related pages desktop beta feature
Closed, ResolvedPublic2 Story Points

Description

  • Clean unused user preference for beta feature being enabled (read-more)
  • Remove use of blacklist in config (https://gerrit.wikimedia.org/r/346453). This should be deployed on or after 13th April 2017.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterRemove use of blacklist for related pages feature
operations/mediawiki-config : masterRemove use of blacklist for related pages feature

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 4 2017, 10:19 PM

Change 346453 had a related patch set uploaded (by Jdlrobson):
[operations/mediawiki-config@master] Remove use of blacklist for related pages feature

https://gerrit.wikimedia.org/r/346453

Jdlrobson changed the task status from Open to Stalled.Apr 4 2017, 10:33 PM
Jdlrobson moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.

Might as well do this during the latter part of the sprint as otherwise we'll probably forget. Blocked until 13th

Does this needs points? Priority? @ovasileva

Jdlrobson added a subscriber: Tgr.Apr 11 2017, 5:39 PM

@Tgr any ideas on how to cleanup user preferences after disabling a beta feature?

Jdlrobson set the point value for this task to 2.Apr 11 2017, 5:48 PM
ovasileva triaged this task as High priority.Apr 12 2017, 11:39 AM
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptApr 12 2017, 11:39 AM

Looks like we do not need to clean up user preference.

<•greg-g> jdlrobson: I'd ask James_F, he knows the most about beta features (not really a releng thing)
11:01 AM niedzielski-afk → niedzielski
11:01 AM J<James_F> James D. Forrester jdlrobson: I believe the Official Advice™ from RelEng (but greg-g can correct) is "please don't try to delete old user preferences, it's risky and not that valuable".
11:01 AM J<jdlrobson> Jon Robson James_F: great. Just wanted to check.
11:01 AM J<James_F> James D. Forrester jdlrobson: Other than that, it just needs dropping from config/etc.
Jdlrobson updated the task description. (Show Details)Apr 12 2017, 7:47 PM
Tgr added a comment.Apr 12 2017, 9:03 PM

@Tgr any ideas on how to cleanup user preferences after disabling a beta feature?

You'd have to run an SQL query manually to delete the right property from user_properties + betafeatures_user_counts. I agree about it not being valuable.

This can be SWATed from 4pm PST.

Jdlrobson changed the task status from Stalled to Open.Apr 13 2017, 4:23 PM
Jdlrobson claimed this task.

Change 346453 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove use of blacklist for related pages feature

https://gerrit.wikimedia.org/r/346453

Mentioned in SAL (#wikimedia-operations) [2017-04-13T23:41:54Z] <niharika29@tin> Synchronized wmf-config/InitialiseSettings.php: Remove use of blacklist for related pages feature (T162201) (duration: 00m 40s)

Mentioned in SAL (#wikimedia-operations) [2017-04-13T23:43:10Z] <niharika29@tin> Synchronized wmf-config/CommonSettings.php: Remove use of blacklist for related pages feature (T162201) (duration: 00m 40s)

Change 348176 had a related patch set uploaded (by Jdlrobson):
[operations/mediawiki-config@master] Remove use of blacklist for related pages feature

https://gerrit.wikimedia.org/r/348176

Mentioned in SAL (#wikimedia-operations) [2017-04-13T23:51:01Z] <niharika29@tin> Synchronized wmf-config/InitialiseSettings.php: Revert Remove use of blacklist for related pages feature (T162201) (duration: 00m 41s)

Mentioned in SAL (#wikimedia-operations) [2017-04-13T23:56:02Z] <niharika29@tin> Synchronized wmf-config/InitialiseSettings.php: Retry sync Revert Remove use of blacklist for related pages feature (T162201) (duration: 00m 40s)

Change 348176 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove use of blacklist for related pages feature

https://gerrit.wikimedia.org/r/348176

Mentioned in SAL (#wikimedia-operations) [2017-04-14T00:02:13Z] <niharika29@tin> Synchronized wmf-config/CommonSettings.php: Remove use of blacklist for related pages feature (T162201) (duration: 00m 41s)

Mentioned in SAL (#wikimedia-operations) [2017-04-14T00:03:11Z] <niharika29@tin> Synchronized wmf-config/InitialiseSettings.php: Remove use of blacklist for related pages feature (T162201) (duration: 00m 41s)

Jdlrobson closed this task as Resolved.Apr 14 2017, 12:14 AM
Jdlrobson updated the task description. (Show Details)

This is a technical task and all the clean up is now done.